/*
 * CCP5.c
 *
 *  Created on: 2019-8-21
 *      Author: charles_cai
 */
#include"main.h"
#ifndef CCP5_C_
#define CCP5_C_

/*
 * 输入0时，配置为捕捉模式，输入1时，配置为比较模式
 */
void Init_ccp5(unsigned char mode)
{
	if(mode)
	{
		APFCTLB =0x01;//CCP5OUT放在P20上
		PWM5CTL0 =0x02;//比较时翻转输出
	}
	else
	{
		TR12 =1;//设置P12输入模式
		PUR12 =1;//打开P12上拉
		APFCTLB =0;//CCP5IN放在P12上
		PWM5CTL0 =0x05;//捕捉上升沿
//		PWM5CTL0 =0x04;//捕捉下降沿
	}
}

#endif /* CCP5_C_ */
